<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../.resources/report.css" type="text/css"/><link rel="shortcut icon" href="../.resources/report.gif" type="image/gif"/><title>Direction.java</title><link rel="stylesheet" href="../.resources/prettify.css" type="text/css"/><script type="text/javascript" src="../.resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../.sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">JaCoCoverage analysis of project &quot;ATL-OTHELLO-Monir&quot; (powered by JaCoCo from EclEmma)</a> &gt; <a href="index.source.html" class="el_package">esi.atl.othello.monir.model</a> &gt; <span class="el_source">Direction.java</span></div><h1>Direction.java</h1><pre class="source lang-java linenums">package esi.atl.othello.monir.model;

/**
 * This class represents the direction.
 *
 * @author Monir Nasser
 */
<span class="pc" id="L8">public enum Direction {</span>
    /**
     * The direction UP.
     */
<span class="fc" id="L12">    UP(-1, 0),</span>
    /**
     * The direction UP.
     */
<span class="fc" id="L16">    DOWN(1, 0),</span>
    /**
     * The direction LEFT.
     */
<span class="fc" id="L20">    LEFT(0, -1),</span>
    /**
     * The direction RIGTH.
     */
<span class="fc" id="L24">    RIGHT(0, 1),</span>
    /**
     * The direction UPRIGTH.
     */
<span class="fc" id="L28">    UPRIGTH(-1, 1),</span>
    /**
     * The direction UPLEFT.
     */
<span class="fc" id="L32">    UPLEFT(-1, -1),</span>
    /**
     * The direction DOWNRIGTH.
     */
<span class="fc" id="L36">    DOWNRIGTH(1, 1),</span>
    /**
     * The direction DOWNLEFT.
     */
<span class="fc" id="L40">    DOWNLEFT(1, -1);</span>

    private final int row;
    private final int column;

    /**
     * This method constrcut the direction with the row and column in parameter.
     *
     * @param row The row of the direction.
     * @param column The column of the direction.
     */
<span class="fc" id="L51">    private Direction(int row, int column) {</span>
<span class="fc" id="L52">        this.row = row;</span>
<span class="fc" id="L53">        this.column = column;</span>
<span class="fc" id="L54">    }</span>

    /**
     * This methods allows us to get the row of the direction.
     *
     * @return The row.
     */
    public int getRow() {
<span class="fc" id="L62">        return row;</span>
    }

    /**
     * This methods allows us to get the column of the direction.
     *
     * @return The column.
     */
    public int getColumn() {
<span class="fc" id="L71">        return column;</span>
    }

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.6.201602180812</span></div></body></html>